/**
 *
 */
import { unitI18n } from "utils/settings";
import { setI18nContext } from "lib/i18n";
//import palette from "utils/palette";

export const appLocales = [ 'en', 'cs' ];

export default () => new Promise((resolve) => {

	let cfg = global.cfg || {};
	let locale = "cs";//cfg.locale || navigator.userLanguage || navigator.language || 'en';

	global._transitions = true; //FIXME

	//set colors
	let chartColors = ["4ec3e0", "1287ed", "929ba3"]; //, "678096", "5beeff"];
	//let pal = palette(chartColors, 17);
	global._chartColors = chartColors;


	resolve({
		store: {
		},

		i18n: {
			locale,
			locales: appLocales
		} 
	});
});
